> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Import Settlement Recon Details

> This API is used to fetch all events for the provided Settlement IDs.



## OpenAPI

````yaml openapi/cb-imports/v2026-01-01.yaml post /import/settlements/recon
openapi: 3.0.3
info:
  title: LRS
  version: '6'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security:
  - {}
paths:
  /import/settlements/recon:
    post:
      summary: Get Import Settlement Recon Details
      description: This API is used to fetch all events for the provided Settlement IDs.
      operationId: get-import-settlement-recon-details-v2026
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: >-
            API version to be used. Format is YYYY-MM-DD. Pass `2026-01-01` to
            invoke this version.
          schema:
            type: string
            default: '2026-01-01'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - filters
                - pagination
              properties:
                filters:
                  type: object
                  description: Filters to narrow down the settlement recon events.
                  properties:
                    start_date:
                      type: string
                      description: >-
                        Start date and time for fetching settlement recon
                        details.
                      example: '2026-09-01T01:01:01.00+05:30'
                    end_date:
                      type: string
                      description: End date and time for fetching settlement recon details.
                      example: '2026-09-02T01:01:01.00+05:30'
                    cf_ica_settlement_ids:
                      type: array
                      description: >-
                        List of ICA Settlement IDs for fetching related recon
                        events.
                      items:
                        type: integer
                        format: int64
                        example: 123
                    cf_ica_settlement_utrs:
                      type: array
                      description: >-
                        List of ICA Settlement UTRs for fetching corresponding
                        recon events.
                      items:
                        type: string
                        example: UTR123456789
                pagination:
                  type: object
                  description: Pagination settings for the response.
                  properties:
                    limit:
                      type: integer
                      format: int64
                      description: Maximum number of entries to fetch.
                      example: 123
                    cursor:
                      type: string
                      description: Cursor from which entries are to be fetched.
                      example: >-
                        eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
            examples:
              sample_request:
                summary: Sample request
                value:
                  filters:
                    start_date: '2026-09-01T01:01:01.00+05:30'
                    end_date: '2026-09-02T01:01:01.00+05:30'
                    cf_ica_settlement_ids:
                      - 123
                    cf_ica_settlement_utrs:
                      - UTR123456789
                  pagination:
                    limit: 123
                    cursor: >-
                      eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
      responses:
        '200':
          description: Success response for getting the import settlement recon details.
          content:
            application/json:
              examples:
                Success Response:
                  value:
                    cursor: >-
                      eyJzZWFyY2hBZnRlciI6WzEyOTEyNTA0NjI4ODk1MjgwMzBdLCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
                    limit: 1
                    data:
                      - customer_details:
                          customer_bank_account_number: null
                          customer_bank_code: null
                          customer_bank_ifsc: null
                          customer_email: null
                          customer_id: null
                          customer_name: null
                          customer_phone: null
                        dispute_details:
                          closed_in_favor_of: null
                          dispute_category: null
                          dispute_note: null
                          dispute_resolved_on: null
                          resolved_on: null
                        event_details:
                          entity: recon
                          event_amount: 1
                          event_currency: INR
                          event_id: '1291250462889527287'
                          event_remarks: NORMAL_SETTLEMENT_CHARGE
                          event_service_charge: null
                          event_service_tax: null
                          event_settlement_amount: 1
                          event_status: null
                          event_time: '2026-02-23T13:39:51+05:30'
                          event_type: NORMAL_SETTLEMENT_CHARGE
                          sale_type: DEBIT
                        order_details:
                          order_amount: null
                          order_currency: null
                          order_id: null
                          order_tags: null
                        payment_details:
                          bank_reference: null
                          cf_payment_id: null
                          charges_currency: INR
                          forex_conversion_handling_charge: null
                          forex_conversion_handling_tax: null
                          payment_amount: null
                          payment_currency: null
                          payment_mode: null
                          payment_service_charge: null
                          payment_service_tax: null
                          payment_time: null
                          status: null
                        refund_details:
                          refund_arn: null
                          refund_id: null
                          refund_note: null
                          refund_processed_at: null
                        settlement_details:
                          adjustment: null
                          amount_settled: null
                          cf_ica_settlement_id: '10019'
                          cf_ica_settlement_utr: null
                          payment_from: null
                          payment_till: null
                          reason: null
                          remarks: null
                          service_charge: null
                          service_tax: null
                          settlement_charge: null
                          settlement_initiated_on: null
                          settlement_settled_on: null
                          settlement_tax: null
                          settlement_type: null
                          split_service_charge: null
                          split_service_tax: null
                          vendor_commission: null
              schema:
                type: object
                properties:
                  cursor:
                    type: string
                    nullable: true
                    description: Cursor for pagination to fetch the next set of results.
                    example: >-
                      eyJzZWFyY2hBZnRlciI6WzEyOTEyNTA0NjI4ODk1MjgwMzBdLCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
                  limit:
                    type: integer
                    description: Maximum number of records returned per page.
                    example: 1
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        customer_details:
                          type: object
                          description: >-
                            Details about the customer associated with the
                            event.
                          properties:
                            customer_bank_account_number:
                              type: string
                              nullable: true
                              description: Customer's bank account number.
                            customer_bank_code:
                              type: string
                              nullable: true
                              description: Customer's bank code.
                            customer_bank_ifsc:
                              type: string
                              nullable: true
                              description: Customer's bank IFSC code.
                            customer_email:
                              type: string
                              nullable: true
                              description: Customer's email address.
                            customer_id:
                              type: string
                              nullable: true
                              description: Unique identifier for the customer.
                            customer_name:
                              type: string
                              nullable: true
                              description: Customer's name.
                            customer_phone:
                              type: string
                              nullable: true
                              description: Customer's phone number.
                        dispute_details:
                          type: object
                          description: Details about any dispute associated with the event.
                          properties:
                            closed_in_favor_of:
                              type: string
                              nullable: true
                              description: >-
                                Indicates if the dispute was closed in favor of
                                any party.
                            dispute_category:
                              type: string
                              nullable: true
                              description: Category of the dispute.
                            dispute_note:
                              type: string
                              nullable: true
                              description: Notes related to the dispute.
                            dispute_resolved_on:
                              type: string
                              nullable: true
                              description: Date and time when the dispute was resolved.
                            resolved_on:
                              type: string
                              nullable: true
                              description: Date and time when the issue was resolved.
                        event_details:
                          type: object
                          description: Core details about the recon event.
                          properties:
                            entity:
                              type: string
                              example: recon
                              description: Entity associated with the event.
                            event_amount:
                              type: number
                              example: 1
                              description: Amount involved in the event.
                            event_currency:
                              type: string
                              example: INR
                              description: Currency used for the event.
                            event_id:
                              type: string
                              example: '1291250462889527287'
                              description: Unique identifier for the event.
                            event_remarks:
                              type: string
                              nullable: true
                              description: Remarks related to the event.
                            event_service_charge:
                              type: number
                              nullable: true
                              description: Service charge applied to the event.
                            event_service_tax:
                              type: number
                              nullable: true
                              description: Tax applied to the service charge.
                            event_settlement_amount:
                              type: number
                              example: 1
                              description: Amount settled for the event.
                            event_status:
                              type: string
                              nullable: true
                              description: Status of the event (e.g., SUCCESS, FAILURE).
                            event_time:
                              type: string
                              example: '2026-02-23T13:39:51+05:30'
                              description: Time when the event occurred.
                            event_type:
                              type: string
                              example: NORMAL_SETTLEMENT_CHARGE
                              description: Type of the event.
                            sale_type:
                              type: string
                              example: DEBIT
                              description: Type of sale — CREDIT or DEBIT.
                        order_details:
                          type: object
                          description: Details about the order associated with the event.
                          properties:
                            order_amount:
                              type: number
                              nullable: true
                              description: Total order amount.
                            order_currency:
                              type: string
                              nullable: true
                              description: Currency of the order.
                            order_id:
                              type: string
                              nullable: true
                              description: Unique identifier for the order.
                            order_tags:
                              type: object
                              nullable: true
                              description: Tags associated with the order.
                        payment_details:
                          type: object
                          description: Details about the payment associated with the event.
                          properties:
                            bank_reference:
                              type: string
                              nullable: true
                              description: Bank reference number for the payment.
                            cf_payment_id:
                              type: string
                              nullable: true
                              description: Cashfree payment ID.
                            charges_currency:
                              type: string
                              example: INR
                              description: Currency used for charges.
                            forex_conversion_handling_charge:
                              type: number
                              nullable: true
                              description: Forex conversion handling charge, if applicable.
                            forex_conversion_handling_tax:
                              type: number
                              nullable: true
                              description: Tax on the forex conversion handling charge.
                            payment_amount:
                              type: number
                              nullable: true
                              description: Amount of payment made.
                            payment_currency:
                              type: string
                              nullable: true
                              description: Currency of the payment.
                            payment_mode:
                              type: string
                              nullable: true
                              description: Mode of payment (e.g., UPI, card).
                            payment_service_charge:
                              type: number
                              nullable: true
                              description: Service charge applied to the payment.
                            payment_service_tax:
                              type: number
                              nullable: true
                              description: Tax applied to the service charge.
                            payment_time:
                              type: string
                              nullable: true
                              description: Time when the payment was processed.
                            status:
                              type: string
                              nullable: true
                              description: Status of the payment.
                        refund_details:
                          type: object
                          description: Details about any refund associated with the event.
                          properties:
                            refund_arn:
                              type: string
                              nullable: true
                              description: ARN (Acquirer Reference Number) for the refund.
                            refund_id:
                              type: string
                              nullable: true
                              description: Unique ID for the refund.
                            refund_note:
                              type: string
                              nullable: true
                              description: Notes related to any refund issued.
                            refund_processed_at:
                              type: string
                              nullable: true
                              description: Date and time when the refund was processed.
                        settlement_details:
                          type: object
                          description: >-
                            Details about the settlement associated with the
                            event.
                          properties:
                            adjustment:
                              type: number
                              nullable: true
                              description: Adjustment amount, if applicable.
                            amount_settled:
                              type: number
                              nullable: true
                              description: Amount that has been settled.
                            cf_ica_settlement_id:
                              type: string
                              example: '10019'
                              description: Unique ID for the ICA settlement.
                            cf_ica_settlement_utr:
                              type: string
                              nullable: true
                              description: UTR for the ICA settlement.
                            payment_from:
                              type: string
                              nullable: true
                              description: >-
                                Start of the payment period covered by the
                                settlement.
                            payment_till:
                              type: string
                              nullable: true
                              description: >-
                                End of the payment period covered by the
                                settlement.
                            reason:
                              type: string
                              nullable: true
                              description: Reason for the settlement event.
                            remarks:
                              type: string
                              nullable: true
                              description: Additional remarks.
                            service_charge:
                              type: number
                              nullable: true
                              description: Service charge applied during settlement.
                            service_tax:
                              type: number
                              nullable: true
                              description: Tax on the service charge.
                            settlement_charge:
                              type: number
                              nullable: true
                              description: Charges applied during settlement.
                            settlement_initiated_on:
                              type: string
                              nullable: true
                              description: Date and time when the settlement was initiated.
                            settlement_settled_on:
                              type: string
                              nullable: true
                              description: Date and time when the settlement was completed.
                            settlement_tax:
                              type: number
                              nullable: true
                              description: Tax applied during settlement.
                            settlement_type:
                              type: string
                              nullable: true
                              description: Type of settlement.
                            split_service_charge:
                              type: number
                              nullable: true
                              description: Split service charge, if applicable.
                            split_service_tax:
                              type: number
                              nullable: true
                              description: Split service tax, if applicable.
                            vendor_commission:
                              type: number
                              nullable: true
                              description: Commission paid to the vendor.
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    type: authentication_error
                    message: authentication Failed
                    code: request_failed
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: authentication_error
                  message:
                    type: string
                    example: authentication Failed
                  code:
                    type: string
                    example: request_failed
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
        - XPartnerAPIKey: []
          XPartnerType: []
components:
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.
    XPartnerType:
      type: apiKey
      in: header
      name: x-partner-type
      description: >-
        If you are partner and you are making an api call for sub-merchants.
        Pass `PA` as the value when making API calls as a Payment Aggregator.

````